'''
20110503 E.PYC
playblast as single image on maya 2012
with custom resolution
'''

from maya.OpenMaya import MImage
import maya.cmds as cmds
import os

def imageconvert(path,type="png"):
	# type = "jpg"
	parsepath = os.path.splitext(path)
	mayaImage = MImage()
	mayaImage.readFromFile(path) #"C:\\playblast\\screenshot.0000.iff"
	mayaImage.writeToFile( "%s.%s" % (parsepath[0],type),type)

def playblast(path,filename,resolution=[4000,3000]):

	cmds.displayRGBColor("background",1,1,1)
	cmds.displayRGBColor("backgroundTop",1,1,1)
	cmds.displayRGBColor("backgroundBottom",1,1,1)

	outpath = cmds.playblast(frame=1,fmt="image",viewer=0,fp=4,orn=0,p=100,wh=resolution,ifz=0,fo=1,offScreen=1,f=path+filename)
	# print path
	path1 = os.path.splitext(outpath) #c:\playblast\screenshot.####.iff
	realpath = os.path.splitext(path1[0])[0]+".0000.iff"
	# print realpath
	cmds.displayRGBColor(rs=1)
	
	return realpath

def ss(path='c:\\playblast\\',filename='screenshot',type='png',r=[4000,3000]):
	# print path,filename,type
	iffpath = playblast(path,filename,resolution=r)
	imageconvert(iffpath,type)
	os.remove(iffpath)
	
	
ss()